Go Down

Topic: Baco nel serial monitor dell'IDE 1.0.1 (Read 3425 times) previous topic - next topic

dalubar

@Brunello; @Bisbulle
Però c'è da dire che entrambi usate XP.
Sarebbe interessante trovare qualcuno che non ha l'errore su Win 7

Brunello

Anche LEO usa XP ( anche se il Pc non e' il suo )

dalubar


Anche LEO usa XP ( anche se il Pc non e' il suo )

Ah, questo non lo sapevo (mi sarà sfuggito).


retrogrado  :smiley-mr-green: innovazione, futurismo, gli obiettivi da raggiungere, e se per farlo devi convivere con una banana nel .... beh, prima o poi ti abituerai :smiley-yell:

Dici retrogrado a me che uso la 1.0 da MESI, mentre tu hai ancora i progetti scritti con la 0022 con i metodi i metodi "Send" invece che "Write" !?!? :smiley-yell:
Poi...dalla 1.0 alla 1.0.1...capirai che "innovazione"  ]:D

Bisbulle

Quote
@Brunello; @Bisbulle
Però c'è da dire che entrambi usate XP.
Sarebbe interessante trovare qualcuno che non ha l'errore su Win 7


Domani posso provare da un mio amico che Win 7 a 32 e a 64 bit.

Michele Menniti



retrogrado  :smiley-mr-green: innovazione, futurismo, gli obiettivi da raggiungere, e se per farlo devi convivere con una banana nel .... beh, prima o poi ti abituerai :smiley-yell:

Dici retrogrado a me che uso la 1.0 da MESI, mentre tu hai ancora i progetti scritti con la 0022 con i metodi i metodi "Send" invece che "Write" !?!? :smiley-yell:
Poi...dalla 1.0 alla 1.0.1...capirai che "innovazione"  ]:D

ROTFL, che sono i metodi SEND e WRITE? :D
Resta il fatto che io ora sono più avanzato di te, che te ne stai rintanato nella tua isola felice, da solo, come un novello Robinson Crusoé. E che fa un uomo solo su un'isola deserta? costruisce un orologio :smiley-eek-blue:  XD Grande Dario! XD
Guida alla programmazione ISP e seriale dei micro ATMEL (Caricare bootloader e sketch):
http://www.michelemenniti.it/Arduino_burn_bootloader.php
Guida alla Programmazione ATmega328 noP:
http://www.michelemenniti.it/atmega328nop.html
Articoli su Elettronica In:
http://www.michelemenniti.it/elettronica_in.html

dalubar


Resta il fatto che io ora sono più avanzato di te, che te ne stai rintanato nella tua isola felice, da solo, come un novello Robinson Crusoé. E che fa un uomo solo su un'isola deserta? costruisce un orologio :smiley-eek-blue:  XD Grande Dario! XD

Ah, ah..hai ragione.
E comunque, voglio sottolineare che tu rimarresti in ogni caso sempre "più avanzato" di me a prescindere dalla versione dell'IDE che utilizzi.  ;)

(Ma un uomo su un'isola deserta che costruisce un orologio...poi come lo regola?   :|)

leo72

@dalubar:
1) ho scritto che ho verificato il bug proprio su Windows XP e poi che sono stato capace di replicarlo su Linux
2) dalla 1.0 alla 1.0.1 cambia MOLTISSIMO: ad esempio, lo sketch ArduinoISP che sulla 1.0 NON funziona e sulla 1.0.1 sì; il fatto che su Linux venga ora fornita la toolchain Atmel allegata all'IDE, come sulle versioni Windows, quando prima invece non c'era. In questo modo posso ora compilare uno sketch sapendo che dovrebbe (parlo al condizionale) essere generato lo stesso firmware mentre prima si era legati sotto Linux alla toolchain fornita dalla propria distribuzione

Faccina

Con win 7 64bit JAVA_VERSION="1.7.0" mi da errore  :smiley-roll-sweat:

pelletta


retrogrado  :smiley-mr-green: innovazione, futurismo, gli obiettivi da raggiungere, e se per farlo devi convivere con una banana nel .... beh, prima o poi ti abituerai :smiley-yell:

Ok, si disse tempo fa che rimanere con vecchie versioni non è una buona scelta perchè volenti o nolenti bisogna adeguarsi. Posso essere anche d'accordo ma se installo l'ultima versione mi piacerebbe che almeno queste cose non succedono (per le librerie non ufficiali ci può anche stare). Sono ancora con l'ide 0022 e mi trovo bene, ieri sul post di Leo ho detto che oggi provavo il nuovo ide poi è uscita sta storia... devo andare a prendere il cane per vedere se trova qualche altro bug?
Non è una pesante critica verso il lavoro degli sviluppatori (ci mancherebbe) però credo che prima di rilasciare un nuovo ide bisogna testarlo per bene. Anche se presumibilmente la questione verrà risolta in tempi brevi la cosa non è nuova: nell'ide 1.0 non funziona(va) l'ISP, su questo nuovo è saltato fuori questo baco.
Forza developer, questo non è un attacco nei vostri riguardi ma un incoraggiamento nel vostro lavoro

leo72

Non iniziamo a parlare di bug non risolti perché altrimenti tiro subito fuori la storia degli sketch >64kB, oppure dei menu con le voci che si perdono in alto ed in basso su Linux  ]:D

dalubar


@dalubar:
1) ho scritto che ho verificato il bug proprio su Windows XP e poi che sono stato capace di replicarlo su Linux
2) dalla 1.0 alla 1.0.1 cambia MOLTISSIMO: ad esempio, lo sketch ArduinoISP che sulla 1.0 NON funziona e sulla 1.0.1 sì; il fatto che su Linux venga ora fornita la toolchain Atmel allegata all'IDE, come sulle versioni Windows, quando prima invece non c'era. In questo modo posso ora compilare uno sketch sapendo che dovrebbe (parlo al condizionale) essere generato lo stesso firmware mentre prima si era legati sotto Linux alla toolchain fornita dalla propria distribuzione

Si, mi rendo conto che su Linux le differenze tra IDE sono maggiori che rispetto a Win. Cmq, a parte la questione ArduinoISP non vedo, finora, particolari vantaggi a passare "subito" alla versione successiva.
Ma poi, va bene tutto, in realtà mi basterebbe una mezz'oretta per passare a 1.0.1, giusto il tempo di sistemare il noto bug R_AVR_13_PCREL che limita la dimensione dei tiny a 4K (ma lì non c'entra neppure l'IDE nel senso stretto del termine), e probabilmente lo farò non appena avrò tempo e voglia...
Per il momento non ho motivazioni particolarmente forti da convincermi a fare il passaggio immediatamente, e preferisco impiegare il tempo che ho a scrivere codice per il prossimo progetto, tanto più che il bug sulla Serial che hai segnalato io ce l'ho in pieno...
magari aspettare 1.0.2?

pitusso

Ciao,
con la mia debian non ci sono problemi.

leo72


Ma poi, va bene tutto, in realtà mi basterebbe una mezz'oretta per passare a 1.0.1, giusto il tempo di sistemare il noto bug R_AVR_13_PCREL che limita la dimensione dei tiny a 4K

Eh?
Ma parli di 4Kbyte o 4Kword?
Io ho uno sketch di 5176 per Attiny84 che compilo e che gira senza problemi.

Quote

tanto più che il bug sulla Serial che hai segnalato io ce l'ho in pieno...
magari aspettare 1.0.2?

Mal comune mezzo gaudio  :smiley-sweat:

lesto

risposto sulla sezione inglese, se avete problemi a ricompilare l'ide fatemi sapere (non riescoa risprodurre il problema)
sei nuovo? non sai da dove partire? leggi qui: http://playground.arduino.cc/Italiano/Newbie

leo72


risposto sulla sezione inglese, se avete problemi a ricompilare l'ide fatemi sapere (non riescoa risprodurre il problema)

Quindi il bug, secondo te c'è davvero? Non conosco Java per leggere il suo codice né per ricompilarlo.

Go Up